QGIS Application - Bug report #2142
slope, aspect, idw, tin rasters saved without the .tif file extension
2009-11-23 10:00 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 12202
Description

When running the plugins interpolation and raster terrain analyses, the resulting tiffs are saved without the file extension. Looks an easy fix

History

#1 - 2009-11-24 01:04 PM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:849546b5 (SVN r12246).
As the raster terrain plugin provides saving with all GDAL drivers that support creation of new datasets, it is needed to parse the GDAL driver metadata to
find out the appropriate extension.

#2 - 2012-01-12 08:35 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Affected QGIS version set to master

- Resolution deleted (fixed)

- Target version changed from Version 1.4.0 to Version 1.7.4
- Status changed from Closed to Reopened

- Crashes QGIS or corrupts data set to No

Recent improvements to the terrain plugin caused the problem to resurface again. Please reapply the fix.

#3 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:04 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-23 01:40 AM - Paolo Cavallini
- Status changed from Reopened to Closed
- Resolution set to fixed/implemented

Seems fixed now.
